%define upstream_name    Devel-Trepan-Shell
%define upstream_version 1.5

%global __requires_exclude perl\\(Enbugger\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    An interactive shell command plugin for Devel::Trepan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::REPL) >= 1.3.26
BuildRequires: perl(Devel::Trepan)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
An interactive shell command plugin for Devel::Trepan and other Devel::Trepan
enhancements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc ChangeLog Changes META.json META.yml SIGNATURE README
%{_bindir}/trepanpl.sh
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.500.0-10.mga8
+ Revision: 1494015
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.500.0-9.mga7
+ Revision: 1267270
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-8.mga6
+ Revision: 1025676
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.500.0-7.mga6
+ Revision: 951334
- Mageia 6 Mass Rebuild

* Tue Dec 16 2014 shlomif <shlomif> 1.500.0-6.mga5
+ Revision: 803621
- Fix the dep on Enbugger - it's not needed

* Mon Dec 15 2014 shlomif <shlomif> 1.500.0-5.mga5
+ Revision: 803224
- Fix build on Cauldron
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed May 21 2014 shlomif <shlomif> 1.500.0-1.mga5
+ Revision: 624612
- New version 1.5

* Sat May 03 2014 shlomif <shlomif> 1.400.0-1.mga5
+ Revision: 619890
- Summary without a dot
- Add description and summary tags
- imported package perl-Devel-Trepan-Shell


* Sat May 03 2014 cpan2dist 1.4-1mga
- initial mageia release, generated with cpan2dist
